<bugID>598619<Summary>Switch-to-tab shouldn't suggest about:blank (closes the current tab if that's blank and switches to random other tab)</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 6.1; rv:2.0b7pre) Gecko/20100922 Firefox/4.0b7pre
Build Identifier: Mozilla/5.0 (Windows NT 6.1; rv:2.0b7pre) Gecko/20100922 Firefox/4.0b7pre

If you starting typing a url which , starts from "ab"... , Awesomebar suggest "about:blank" for "Switch To Tab" , when typed from a blank page , which i don't think is desired. Why would a user type "about:blank" just to get a blank page , or even want to jump to a blank page already opened ?

This is my perception , would like UX team to consider this

Reproducible: Always

Steps to Reproduce:
1.Get a blank page. 
2.Type about in awesomebar (url bar)

Actual Results:  
You find about:blank (switch to tab) in the dropdown list</Description></bugID>